Get voice session transcript
curl --request GET \
--url https://api.natural.com/voice/sessions/{voiceSessionId}/transcript \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/voice/sessions/{voiceSessionId}/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/voice/sessions/{voiceSessionId}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/voice/sessions/{voiceSessionId}/transcript",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/voice/sessions/{voiceSessionId}/transcript"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/voice/sessions/{voiceSessionId}/transcript")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/voice/sessions/{voiceSessionId}/transcript")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "vos_019d0a1b2c3d4e5f60718293a4b5c6f0",
"type": "voiceSessionTranscript",
"attributes": {
"status": "available",
"turns": [
{
"role": "assistant",
"text": "Please read the number on your card.",
"at": "2026-09-09T18:01:07.000Z"
},
{
"role": "caller",
"text": "It's ••••.",
"at": "2026-09-09T18:01:21.000Z"
},
{
"role": "system",
"text": "Return transfer requested",
"at": "2026-09-09T18:02:50.000Z"
}
]
},
"relationships": {
"voiceSession": {
"data": {
"type": "voiceSession",
"id": "vos_019d0a1b2c3d4e5f60718293a4b5c6f0"
}
}
}
}
}Voice Session Transcripts
Get voice session transcript
Get the transcript of a voice session’s call. Before the call starts, and for simulated calls, the response is 200 with status notAvailable, not an error. Returns the Voice Session Transcript object.
GET
/
voice
/
sessions
/
{voiceSessionId}
/
transcript
Get voice session transcript
curl --request GET \
--url https://api.natural.com/voice/sessions/{voiceSessionId}/transcript \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/voice/sessions/{voiceSessionId}/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/voice/sessions/{voiceSessionId}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/voice/sessions/{voiceSessionId}/transcript",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/voice/sessions/{voiceSessionId}/transcript"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/voice/sessions/{voiceSessionId}/transcript")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/voice/sessions/{voiceSessionId}/transcript")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "vos_019d0a1b2c3d4e5f60718293a4b5c6f0",
"type": "voiceSessionTranscript",
"attributes": {
"status": "available",
"turns": [
{
"role": "assistant",
"text": "Please read the number on your card.",
"at": "2026-09-09T18:01:07.000Z"
},
{
"role": "caller",
"text": "It's ••••.",
"at": "2026-09-09T18:01:21.000Z"
},
{
"role": "system",
"text": "Return transfer requested",
"at": "2026-09-09T18:02:50.000Z"
}
]
},
"relationships": {
"voiceSession": {
"data": {
"type": "voiceSession",
"id": "vos_019d0a1b2c3d4e5f60718293a4b5c6f0"
}
}
}
}
}Authorizations
Headers
Query Parameters
Was this page helpful?